Skip to main content
POST
/
compute
/
v1
/
vms
/
{id}
/
renew
Renew Agent VM TTL
curl --request POST \
  --url https://compute.hexelstudio.com/compute/v1/vms/{id}/renew \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ttl_seconds": 123
}
'
{
  "allocated_at": "<string>",
  "created_at": "<string>",
  "expires_at": "<string>",
  "id": "<string>",
  "metadata": {},
  "released_at": "<string>",
  "skills": [
    "<string>"
  ],
  "state": "<string>",
  "tier": "<string>",
  "token": "<string>",
  "ttl_seconds": 123
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Path Parameters

id
string
required

VM ID (UUID)

Body

application/json

Renew parameters

ttl_seconds
integer
required

Response

OK

allocated_at
string
created_at
string
expires_at
string
id
string
metadata
object
released_at
string
skills
string[]
state
string
tier
string
token
string
ttl_seconds
integer